### Function

# Fwupd update_state_to_string

#### Declaration [src]

    const gchar*
    fwupd_update_state_to_string (
      FwupdUpdateState update_state
    )

#### Description [src]

Converts an enumerated update state to a string.

Available since: | 0.7.0

#### Parameters

`update_state` | `FwupdUpdateState`
| The update state, e.g. `FWUPD_UPDATE_STATE_PENDING`.

#### Return value

Returns: | `const gchar*`
| Identifier string.
| The data is owned by the called function.
| The value is a NUL terminated UTF-8 string.